use <supports.scad>;
use <plate-extra.scad>;

// TODO make supports and plate file match
// TODO update tolerances to match supports.scad

pcb_size = 60; // the PCB is 60x60mm square
pcb_depth = 7.57; // the PCB is 7.57mm deep, overall (including connector + lEDs)
connector_depth=5.7; // the connector on the bottom of the PCB is 5.8mm thick.
pcb_thickness= 1.7; // the PCB itself (just the board, w/o components) is roughly 1.7mm thick

pcbs_long = 4;
pcbs_wide = 2;

wall_width = 5; // width of walls above the top of the supports

support_depth=10; // depth of support structure wall
tolerance = 2; // TODO update to reflect supports.scad so cuts work properly

wall_height = (pcb_depth-connector_depth)+4; // height of walls above the top of the supports

rotate([180,0,0]) {
    translate([pcb_size/2,-pcb_size/2-pcb_size, -support_depth-pcb_thickness]) {
        for(x=[0:pcbs_long-1]) {
            for(y=[0:pcbs_wide-1]) {
                translate([pcb_size*x,pcb_size*y,0]) {
                   //%import("pcb-single.stl");
                }
            }
        }
    }
}

intersection() {
    translate([-wall_width-tolerance,-wall_width-tolerance,0])
        cube([wall_width+tolerance+pcb_size*2,(wall_width+tolerance)*2+pcb_size*2,50]);
    //cube([wall_width+tolerance+(pcb_size/4),(wall_width+tolerance)+(pcb_size/4p),50]);
    //translate([-wall_width-tolerance+wall_width+tolerance+pcb_size*2,-wall_width-tolerance,0])
    //    cube([wall_width+tolerance+pcb_size*2,(wall_width+tolerance)*2+pcb_size*2,50]);
    union() {
        //box();
        translate([0,0,wall_height+support_depth]) {
            color("red") plate();
        };
    }
}